# Copyright 2014 Microsoft Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Requires Python 2.4+ and Openssl 1.0+
#
# Implements parts of RFC 2131, 1541, 1497 and
# http://msdn.microsoft.com/en-us/library/cc227282%28PROT.10%29.aspx
# http://msdn.microsoft.com/en-us/library/cc227259%28PROT.13%29.aspx

import env
from tests.tools import *
import uuid
import unittest
import os
import azurelinuxagent.protocol as protocol
import azurelinuxagent.protocol.protocolFactory as protocolFactory

class TestWireProtocolEndpoint(unittest.TestCase):
    def test_get_available_protocol(self):
        with self.assertRaises(protocol.ProtocolNotFound):
            protocol.Factory.getDefaultProtocol()

    def test_get_available_protocols(self):
        mockGetV1 = MockFunc(retval="Mock protocol")
        protocols = protocolFactory.GetAvailableProtocols([mockGetV1])
        self.assertNotEquals(None, protocols)
        self.assertNotEquals(0, len(protocols))

if __name__ == '__main__':
    unittest.main()
